﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 (1 yr) Aux Trigger Out VER IEEE
DATE:                  2010-11-29 09:53:39
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       82
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000B, MSO 70000, DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  RSLT         =
  1.004  HEAD         {AUX TRIGGER OUT}
  1.005  HEAD         -2 Aux Trigger Out High Level
  1.006  TARGET
  1.007  DISP         Connect DUT Aux Out to Ch[V @Chan] through a 50 Ohm
  1.007  DISP         precision BNC cable.
  1.008  IEEE2        HOR:SCA 200E-6
  1.009  IEEE2        ACQ:MODE AVE;NUMAV 64
  1.010  IEEE2        CH[V @Chan]:TER 50;SCA 500E-3
# Use the Vertical Position knob to center the display on screen.
  1.011  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
  1.012  WAIT         -t 2 DUT Stabilizing...
  1.013  IEEE2        MEASU:MEAS1:VAL?[I]
  1.014  MATH         Rslt = FMT(MEM, "%.1f") & " V"
  1.015  MATH         MEM2 = "Lower Limit: 1 V, Aux Trigger Out High Level"
  1.016  MATH         MEM2 = MEM2 & ", Result: " & Rslt
  1.017  EVAL   -e MEM >= 1 : [MEM2]

  2.001  HEAD         -2 Aux Trigger Out Low Level
  2.002  TARGET
  2.003  IEEE2        MEASU:MEAS2:SOU1 CH[V @Chan];TYP LOW;STATE ON
  2.004  WAIT         -t 2 DUT Stabilizing...
  2.005  IEEE2        MEASU:MEAS2:VAL?[I]
  2.006  MATH         Rslt = FMT(MEM, "%.2f") & " V"
  2.007  MATH         MEM2 = "Upper Limit: 0.25 V, Aux Trigger Out Low Level"
  2.008  MATH         MEM2 = MEM2 & ", Result: " & Rslt
  2.009  EVAL   -e MEM <= 0.25 : [MEM2]

  3.001  HEAD         -2
  3.002  HEAD
  3.003  END
