﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500
INSTRUMENT:            Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500
DATE:                  2010-11-29 10:56:02
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       53
NUMBER OF LINES:       834
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70000
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  JMPL         DCV                       PSUBI("DCV Accuracy")
  1.004  JMPL         DC_GAIN                   PSUBI("DC Gain")
  1.005  JMPL         DC_OFFSET                 PSUBI("DC Offset")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# ========= Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500 =======

  2.001  LABEL        DCV

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DCV MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  HEAD         DCV MEASUREMENT ACCURACY (CH [V @Chan])

  2.009  RSLT         =
  2.010  HEAD         -2{10 mV/div}, Positive
  2.011  TARGET       -p
  2.012  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
  2.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  2.014  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.015  IEEE2        CH[V @Chan]:SCA 10E-3;POS -5;OFFS 0.45
  2.016  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE HIGH;STATE ON
  2.017  9500         530.00mV                                          S  L
  2.018  WAIT         -t 20 Settling...
  2.019  TARGET       -m
  2.020  IEEE2        MEASU:MEAS1:VAL?[I]
  2.021  MATH         MEM = MEM * 1E+3
  2.022  MEMCX        530.00mV       5.25U

  3.001  HEAD         -2 10 mV/div, Negative
  3.002  TARGET       -p
  3.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.45
  3.004  9500         -530.00mV                                         S  L
  3.005  WAIT         -t 20 Settling...
  3.006  TARGET       -m
  3.007  IEEE2        MEASU:MEAS1:VAL?[I]
  3.008  MATH         MEM = MEM * 1E+3
  3.009  MEMCX        -530.00mV      5.25U

  4.001  RSLT         =
  4.002  HEAD         -2{20 mV/div}, Positive
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:SCA 20E-3;POS -5;OFFS 0.4
  4.005  9500         560.00mV                                          S  L
  4.006  WAIT         -t 25 Settling...
  4.007  TARGET       -m
  4.008  IEEE2        MEASU:MEAS1:VAL?[I]
  4.009  MATH         MEM = MEM * 1E+3
  4.010  MEMCX        560.00mV       7.25U

  5.001  HEAD         -2 20 mV/div, Negative
  5.002  TARGET       -p
  5.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.4
  5.004  9500         -560.00mV                                         S  L
  5.005  WAIT         -t 25 Settling...
  5.006  TARGET       -m
  5.007  IEEE2        MEASU:MEAS1:VAL?[I]
  5.008  MATH         MEM = MEM * 1E+3
  5.009  MEMCX        -560.00mV      7.25U

  6.001  RSLT         =
  6.002  HEAD         -2{50 mV/div}, Positive
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:SCA 50E-3;POS -5;OFFS 0.25
  6.005  9500         650.00mV                                          S  L
  6.006  WAIT         -t 25 Settling...
  6.007  TARGET       -m
  6.008  IEEE2        MEASU:MEAS1:VAL?[I]
  6.009  MATH         MEM = MEM * 1E+3
  6.010  MEMCX        650.00mV       13.25U

  7.001  HEAD         -2 50 mV/div, Negative
  7.002  TARGET       -p
  7.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.25
  7.004  9500         -650.00mV                                         S  L
  7.005  WAIT         -t 12 Settling...
  7.006  TARGET       -m
  7.007  IEEE2        MEASU:MEAS1:VAL?[I]
  7.008  MATH         MEM = MEM * 1E+3
  7.009  MEMCX        -650.00mV      13.25U

  8.001  RSLT         =
  8.002  HEAD         -2{100 mV/div}, Positive
  8.003  TARGET       -p
  8.004  IEEE2        CH[V @Chan]:SCA 100E-3;POS -5;OFFS 4.5
  8.005  9500         5.300V                                            S  L
  8.006  WAIT         -t 20 Settling...
  8.007  TARGET       -m
  8.008  IEEE2        MEASU:MEAS1:VAL?[I]
  8.009  TOL          -0.052U +0.053U
  8.010  MEMCX        5.300V         TOL

  9.001  HEAD         -2 100 mV/div, Negative
  9.002  TARGET       -p
  9.003  IEEE2        CH[V @Chan]:POS 5;OFFS -4.5
  9.004  9500         -5.300V                                           S  L
  9.005  WAIT         -t 20 Settling...
  9.006  TARGET       -m
  9.007  IEEE2        MEASU:MEAS1:VAL?[I]
  9.008  MEMCX        -5.300V        TOL

 10.001  RSLT         =
 10.002  HEAD         -2{200 mV/div}, Positive
 10.003  TARGET       -p
 10.004  IEEE2        CH[V @Chan]:SCA 200E-3;POS -5;OFFS 4
 10.005  9500         5.500V                                            S  L
 10.006  WAIT         -t 20 Settling...
 10.007  TARGET       -m
 10.008  IEEE2        MEASU:MEAS1:VAL?[I]
 10.009  TOL          -0.070U +0.071U
 10.010  MEMCX        5.500V         TOL

 11.001  HEAD         -2 200 mV/div, Negative
 11.002  TARGET       -p
 11.003  IEEE2        CH[V @Chan]:POS 5;OFFS -4
 11.004  9500         -5.500V                                           S  L
 11.005  WAIT         -t 20 Settling...
 11.006  TARGET       -m
 11.007  IEEE2        MEASU:MEAS1:VAL?[I]
 11.008  MEMCX        -5.500V        TOL

 12.001  RSLT         =
 12.002  HEAD         -2{500 mV/div}, Positive
 12.003  TARGET       -p
 12.004  IEEE2        CH[V @Chan]:SCA 500E-3;POS -4;OFFS 2.5
 12.005  9500         5.500V                                            S  L
 12.006  WAIT         -t 20 Settling...
 12.007  TARGET       -m
 12.008  IEEE2        MEASU:MEAS1:VAL?[I]
 12.009  MEMCX        5.500V         0.121U

 13.001  HEAD         -2 500 mV/div, Negative
 13.002  TARGET       -p
 13.003  IEEE2        CH[V @Chan]:POS 4;OFFS -2.5
 13.004  9500         -5.500V                                           S  L
 13.005  WAIT         -t 20 Settling...
 13.006  TARGET       -m
 13.007  IEEE2        MEASU:MEAS1:VAL?[I]
 13.008  MEMCX        -5.500V        0.121U

 14.001  RSLT         =
 14.002  HEAD         -2{1 V/div}, Positive
 14.003  TARGET       -p
 14.004  IEEE2        CH[V @Chan]:SCA 1;POS -5;OFFS 0
 14.005  9500         5.500V                                            S  L
 14.006  WAIT         -t 20 DUT Settling...
 14.007  TARGET       -m
 14.008  IEEE2        MEASU:MEAS1:VAL?[I]
 14.009  TOL          -0.182U +0.183U
 14.010  MEMCX        5.500V         TOL

 15.001  HEAD         -2 1 V/div, Negative
 15.002  TARGET       -p
 15.003  IEEE2        CH[V @Chan]:POS 5;OFFS 0
 15.004  9500         -5.500V                                           S  L
 15.005  WAIT         -t 20 DUT Settling...
 15.006  TARGET       -m
 15.007  IEEE2        MEASU:MEAS1:VAL?[I]
 15.008  MEMCX        -5.500V        TOL

 16.001  HEAD         -2
 16.002  HEAD
 16.003  9500         *                                                 S
 16.004  END

 16.005  EVAL   Increment step number

# ============== Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500 =========

 17.001  LABEL        DC_GAIN

 17.002  IF           @Chan == 1
 17.003  RSLT         =
 17.004  RSLT         =DC GAIN ACCURACY
 17.005  ENDIF

 17.006  RSLT         =
 17.007  RSLT         =Channel [V @Chan]
 17.008  HEAD         DC GAIN ACCURACY (CH [V @Chan])

 17.009  RSLT         =
 17.010  HEAD         -2{10 mV/div}, Position 0 Div, Offset 0 V
 17.011  TARGET       -p
 17.012  MATH         Conf9500 = CONF("Datron 9500")
 17.013  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
 17.014  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 17.015  IEEE2        ACQ:MODE AVE;NUMAV 16
 17.016  IEEE2        CH[V @Chan]:SCA 10E-3;POS 0;OFFS 0
 17.017  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE MEAN;STATE ON
 17.018  TARGET       -m
 17.019  9500         38.0mV                                            S  L
 17.020  MATH         PosAcc = REFACC()
 17.021  WAIT         -t 20 DUT Settling...
 17.022  IEEE2        MEASU:MEAS1:VAL?[I]
 17.023  MATH         PosValue = MEM * 1E+3
 17.024  9500         -38.0mV                                           S  L
 17.025  MATH         NegAcc = REFACC()
 17.026  WAIT         -t 20 DUT Settling...
 17.027  IEEE2        MEASU:MEAS1:VAL?[I]
 17.028  MATH         NegValue = MEM * 1E+3
# RSS uncertainty components and expand to 95% confidence level.
 17.029  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
# Setup system accuracy.
 17.030  MATH         L[1] = L[1] * 1E+3
 17.031  ACC          76.0mV         L1U
 17.032  MATH         MEM = PosValue - NegValue
 17.033  MEMCX        76.0mV         1.52U

 18.001  HEAD         -2 10 mV/div, Position -5 Divs, Offset 0.45 V
 18.002  TARGET       -p
 18.003  IEEE2        CH[V @Chan]:POS -5;OFFS +0.45
 18.004  TARGET       -m
 18.005  9500         538.00mV                                          S  L
 18.006  MATH         PosAcc = REFACC()
 18.007  WAIT         -t 20 DUT Settling...
 18.008  IEEE2        MEASU:MEAS1:VAL?[I]
 18.009  MATH         PosValue = MEM * 1E+3
 18.010  9500         462.0mV                                           S  L
 18.011  MATH         NegAcc = REFACC()
 18.012  WAIT         -t 20 DUT Settling...
 18.013  IEEE2        MEASU:MEAS1:VAL?[I]
 18.014  MATH         NegValue = MEM * 1E+3
 18.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 18.016  MATH         L[1] = L[1] * 1E+3
 18.017  ACC          76.0mV         L1U
 18.018  MATH         MEM = PosValue - NegValue
 18.019  MEMCX        76.0mV         1.52U

 19.001  HEAD         -2 10 mV/div, Position 5 Divs, Offset -0.45 V
 19.002  TARGET       -p
 19.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.45
 19.004  TARGET       -m
 19.005  9500         -462.00mV                                         S  L
 19.006  MATH         PosAcc = REFACC()
 19.007  WAIT         -t 20 Settling...
 19.008  IEEE2        MEASU:MEAS1:VAL?[I]
 19.009  MATH         PosValue = MEM * 1E+3
 19.010  9500         -538.0mV                                          S  L
 19.011  MATH         NegAcc = REFACC()
 19.012  WAIT         -t 20 Settling...
 19.013  IEEE2        MEASU:MEAS1:VAL?[I]
 19.014  MATH         NegValue = MEM * 1E+3
 19.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 19.016  MATH         L[1] = L[1] * 1E+3
 19.017  ACC          76.0mV         L1U
 19.018  MATH         MEM = PosValue - NegValue
 19.019  MEMCX        76.0mV         1.52U

 20.001  RSLT         =
 20.002  HEAD         -2{20 mV/div}, Position 0 Div, Offset 0 V
 20.003  TARGET       -p
 20.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 20E-3
 20.005  TARGET       -m
 20.006  9500         76.000mV                                          S  L
 20.007  MATH         PosAcc = REFACC()
 20.008  WAIT         -t 20 Settling...
 20.009  IEEE2        MEASU:MEAS1:VAL?[I]
 20.010  MATH         PosValue = MEM * 1E+3
 20.011  9500         -76.000mV                                         S  L
 20.012  MATH         NegAcc = REFACC()
 20.013  WAIT         -t 20 Settling...
 20.014  IEEE2        MEASU:MEAS1:VAL?[I]
 20.015  MATH         NegValue = MEM * 1E+3
 20.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 20.017  MATH         L[1] = L[1] * 1E+3
 20.018  ACC          152.000mV      L1U
 20.019  MATH         MEM = PosValue - NegValue
 20.020  MEMCX        152.0mV        3.040U

 21.001  HEAD         -2 20 mV/div, Position -5 Divs, Offset 0.4 V
 21.002  TARGET       -p
 21.003  IEEE2        CH[V @Chan]:POS -5;OFFS 0.4
 21.004  TARGET       -m
 21.005  9500         576.0mV                                           S  L
 21.006  MATH         PosAcc = REFACC()
 21.007  WAIT         -t 20 Settling...
 21.008  IEEE2        MEASU:MEAS1:VAL?[I]
 21.009  MATH         PosValue = MEM * 1E+3
 21.010  9500         424.0mV                                           S  L
 21.011  MATH         NegAcc = REFACC()
 21.012  WAIT         -t 20 Settling...
 21.013  IEEE2        MEASU:MEAS1:VAL?[I]
 21.014  MATH         NegValue = MEM * 1E+3
 21.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 21.016  MATH         L[1] = L[1] * 1E+3
 21.017  ACC          152.000mV      L1U
 21.018  MATH         MEM = PosValue - NegValue
 21.019  MEMCX        152.0mV        3.040U

 22.001  HEAD         -2 20 mV/div, Position 5 Divs, Offset -0.4 V
 22.002  TARGET       -p
 22.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.4
 22.004  TARGET       -m
 22.005  9500         -424.0mV                                          S  L
 22.006  MATH         PosAcc = REFACC()
 22.007  WAIT         -t 20 Settling...
 22.008  IEEE2        MEASU:MEAS1:VAL?[I]
 22.009  MATH         PosValue = MEM * 1E+3
 22.010  9500         -576.0mV                                          S  L
 22.011  MATH         NegAcc = REFACC()
 22.012  WAIT         -t 20 Settling...
 22.013  IEEE2        MEASU:MEAS1:VAL?[I]
 22.014  MATH         NegValue = MEM * 1E+3
 22.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 22.016  MATH         L[1] = L[1] * 1E+3
 22.017  ACC          152.000mV      L1U
 22.018  MATH         MEM = PosValue - NegValue
 22.019  MEMCX        152.0mV        3.040U

 23.001  RSLT         =
 23.002  HEAD         -2{50 mV/div}, Position 0 Div, Offset 0 V
 23.003  TARGET       -p
 23.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 50E-3
 23.005  TARGET       -m
 23.006  9500         190.00mV                                          S  L
 23.007  MATH         PosAcc = REFACC()
 23.008  WAIT         -t 20 Settling...
 23.009  IEEE2        MEASU:MEAS1:VAL?[I]
 23.010  MATH         PosValue = MEM * 1E+3
 23.011  9500         -190.00mV                                         S  L
 23.012  MATH         NegAcc = REFACC()
 23.013  WAIT         -t 20 Settling...
 23.014  IEEE2        MEASU:MEAS1:VAL?[I]
 23.015  MATH         NegValue = MEM * 1E+3
 23.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 23.017  MATH         L[1] = L[1] * 1E+3
 23.018  ACC          380.00mV       L1U
 23.019  MATH         MEM = PosValue - NegValue
 23.020  MEMCX        380.00mV       7.60U

 24.001  HEAD         -2 50 mV/div, Position -5 Divs, Offset 0.25 V
 24.002  TARGET       -p
 24.003  IEEE2        CH[V @Chan]:POS -5;OFFS 0.25
 24.004  TARGET       -m
 24.005  9500         690.00mV                                          S  L
 24.006  MATH         PosAcc = REFACC()
 24.007  WAIT         -t 20 DUT Settling...
 24.008  IEEE2        MEASU:MEAS1:VAL?[I]
 24.009  MATH         PosValue = MEM * 1E+3
 24.010  9500         310.00mV                                          S  L
 24.011  MATH         NegAcc = REFACC()
 24.012  WAIT         -t 20 DUT Settling...
 24.013  IEEE2        MEASU:MEAS1:VAL?[I]
 24.014  MATH         NegValue = MEM * 1E+3
 24.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 24.016  MATH         L[1] = L[1] * 1E+3
 24.017  ACC          380.00mV       L1U
 24.018  MATH         MEM = PosValue - NegValue
 24.019  MEMCX        380.00mV       7.60U

 25.001  HEAD         -2 50 mV/div, Position 5 Divs, Offset -0.25 V
 25.002  TARGET       -p
 25.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.25
 25.004  TARGET       -m
 25.005  9500         -310.00mV                                         S  L
 25.006  MATH         PosAcc = REFACC()
 25.007  WAIT         -t 20 DUT Settling...
 25.008  IEEE2        MEASU:MEAS1:VAL?[I]
 25.009  MATH         PosValue = MEM * 1E+3
 25.010  9500         -690.00mV                                         S  L
 25.011  MATH         NegAcc = REFACC()
 25.012  WAIT         -t 20 DUT Settling...
 25.013  IEEE2        MEASU:MEAS1:VAL?[I]
 25.014  MATH         NegValue = MEM * 1E+3
 25.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 25.016  MATH         L[1] = L[1] * 1E+3
 25.017  ACC          380.00mV       L1U
 25.018  MATH         MEM = PosValue - NegValue
 25.019  MEMCX        380.00mV       7.60U

 26.001  RSLT         =
 26.002  HEAD         -2{100 mV/div}, Position 0 Div, Offset 0 V
 26.003  TARGET       -p
 26.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 100E-3
 26.005  TARGET       -m
 26.006  9500         380.00mV                                          S  L
 26.007  MATH         PosAcc = REFACC()
 26.008  WAIT         -t 20 Settling...
 26.009  IEEE2        MEASU:MEAS1:VAL?[I]
 26.010  MATH         PosValue = MEM * 1E+3
 26.011  9500         -380.00mV                                         S  L
 26.012  MATH         NegAcc = REFACC()
 26.013  WAIT         -t 20 Settling...
 26.014  IEEE2        MEASU:MEAS1:VAL?[I]
 26.015  MATH         NegValue = MEM * 1E+3
 26.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 26.017  MATH         L[1] = L[1] * 1E+3
 26.018  ACC          760.00mV       L1U
 26.019  MATH         MEM = PosValue - NegValue
 26.020  MEMCX        760.00mV       15.20U

 27.001  HEAD         -2 100 mV/div, Position -5 Divs, Offset 4.5 V
 27.002  TARGET       -p
 27.003  IEEE2        CH[V @Chan]:POS -5;OFFS 4.5
 27.004  TARGET       -m
 27.005  9500         5.38V                                             S  L
 27.006  MATH         PosAcc = REFACC()
 27.007  WAIT         -t 20 Settling...
 27.008  IEEE2        MEASU:MEAS1:VAL?[I]
 27.009  MATH         PosValue = MEM * 1E+3
 27.010  9500         4.62V                                             S  L
 27.011  MATH         NegAcc = REFACC()
 27.012  WAIT         -t 20 Settling...
 27.013  IEEE2        MEASU:MEAS1:VAL?[I]
 27.014  MATH         NegValue = MEM * 1E+3
 27.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 27.016  MATH         L[1] = L[1] * 1E+3
 27.017  ACC          760.00mV       L1U
 27.018  MATH         MEM = PosValue - NegValue
 27.019  MEMCX        760.00mV       15.20U

 28.001  HEAD         -2 100 mV/div, Position 5 Divs, Offset -4.5 V
 28.002  TARGET       -p
 28.003  IEEE2        CH[V @Chan]:POS 5;OFFS -4.5
 28.004  TARGET       -m
 28.005  9500         -4.62V                                            S  L
 28.006  MATH         PosAcc = REFACC()
 28.007  WAIT         -t 20 Settling...
 28.008  IEEE2        MEASU:MEAS1:VAL?[I]
 28.009  MATH         PosValue = MEM * 1E+3
 28.010  9500         -5.38V                                            S  L
 28.011  MATH         NegAcc = REFACC()
 28.012  WAIT         -t 20 Settling...
 28.013  IEEE2        MEASU:MEAS1:VAL?[I]
 28.014  MATH         NegValue = MEM * 1E+3
 28.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 28.016  MATH         L[1] = L[1] * 1E+3
 28.017  ACC          760.00mV       L1U
 28.018  MATH         MEM = PosValue - NegValue
 28.019  MEMCX        760.00mV       15.20U

 29.001  RSLT         =
 29.002  HEAD         -2{200 mV/div}, Position 0 Div, Offset 0 V
 29.003  TARGET       -p
 29.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 200E-3
 29.005  TARGET       -m
 29.006  9500         760.00mV                                          S  L
 29.007  MATH         PosAcc = REFACC()
 29.008  WAIT         -t 20 Settling...
 29.009  IEEE2        MEASU:MEAS1:VAL?[I]
 29.010  MATH         PosValue = MEM
 29.011  9500         -760.00mV                                         S  L
 29.012  MATH         NegAcc = REFACC()
 29.013  WAIT         -t 20 Settling...
 29.014  IEEE2        MEASU:MEAS1:VAL?[I]
 29.015  MATH         NegValue = MEM
 29.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 29.017  ACC          1.520V         L1U
 29.018  MATH         MEM = PosValue - NegValue
 29.019  MEMCX        1.520V         0.030U

 30.001  HEAD         -2 200 mV/div, Position -5 Divs, Offset 4 V
 30.002  TARGET       -p
 30.003  IEEE2        CH[V @Chan]:POS -5;OFFS 4
 30.004  TARGET       -m
 30.005  9500         5.50V                                             S  L
 30.006  MATH         PosAcc = REFACC()
 30.007  WAIT         -t 20 Settling...
 30.008  IEEE2        MEASU:MEAS1:VAL?[I]
 30.009  MATH         PosValue = MEM
 30.010  9500         4.24V                                             S  L
 30.011  MATH         NegAcc = REFACC()
 30.012  WAIT         -t 20 Settling...
 30.013  IEEE2        MEASU:MEAS1:VAL?[I]
 30.014  MATH         NegValue = MEM
 30.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 30.016  ACC          1.260V         L1U
 30.017  MATH         MEM = PosValue - NegValue
 30.018  MEMCX        1.260V         0.025U

 31.001  HEAD         -2 200 mV/div, Position 5 Divs, Offset -4 V
 31.002  TARGET       -p
 31.003  IEEE2        CH[V @Chan]:POS 5;OFFS -4
 31.004  TARGET       -m
 31.005  9500         -4.24V                                            S  L
 31.006  MATH         PosAcc = REFACC()
 31.007  WAIT         -t 20 Settling...
 31.008  IEEE2        MEASU:MEAS1:VAL?[I]
 31.009  MATH         PosValue = MEM
 31.010  9500         -5.50V                                            S  L
 31.011  MATH         NegAcc = REFACC()
 31.012  WAIT         -t 20 Settling...
 31.013  IEEE2        MEASU:MEAS1:VAL?[I]
 31.014  MATH         NegValue = MEM
 31.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 31.016  ACC          1.260V         L1U
 31.017  MATH         MEM = PosValue - NegValue
 31.018  MEMCX        1.260V         0.025U

 32.001  RSLT         =
 32.002  HEAD         -2{500 mV/div}, Position 0 Div, Offset 0 V
 32.003  TARGET       -p
 32.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 500E-3
 32.005  TARGET       -m
 32.006  9500         1.90V                                             S  L
 32.007  MATH         PosAcc = REFACC()
 32.008  WAIT         -t 20 Settling...
 32.009  IEEE2        MEASU:MEAS1:VAL?[I]
 32.010  MATH         PosValue = MEM
 32.011  9500         -1.90V                                            S  L
 32.012  MATH         NegAcc = REFACC()
 32.013  WAIT         -t 20 Settling...
 32.014  IEEE2        MEASU:MEAS1:VAL?[I]
 32.015  MATH         NegValue = MEM
 32.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 32.017  ACC          3.800V         L1U
 32.018  MATH         MEM = PosValue - NegValue
 32.019  MEMCX        3.800V         0.076U

 33.001  HEAD         -2 500 mV/div, Position -5 Divs, Offset 2.5 V
 33.002  TARGET       -p
 33.003  IEEE2        CH[V @Chan]:POS -5;OFFS 2.5
 33.004  TARGET       -m
 33.005  9500         5.5V                                              S  L
 33.006  MATH         PosAcc = REFACC()
 33.007  WAIT         -t 20 Settling...
 33.008  IEEE2        MEASU:MEAS1:VAL?[I]
 33.009  MATH         PosValue = MEM
 33.010  9500         3.1V                                              S  L
 33.011  MATH         NegAcc = REFACC()
 33.012  WAIT         -t 20 Settling...
 33.013  IEEE2        MEASU:MEAS1:VAL?[I]
 33.014  MATH         NegValue = MEM
 33.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 33.016  ACC          2.400V         L1U
 33.017  MATH         MEM = PosValue - NegValue
 33.018  MEMCX        2.400V         0.048U

 34.001  HEAD         -2 500 mV/div, Position 5 Divs, Offset -2.5 V
 34.002  TARGET       -p
 34.003  IEEE2        CH[V @Chan]:POS 5;OFFS -2.5
 34.004  TARGET       -m
 34.005  9500         -3.1V                                             S  L
 34.006  MATH         PosAcc = REFACC()
 34.007  WAIT         -t 20 Settling...
 34.008  IEEE2        MEASU:MEAS1:VAL?[I]
 34.009  MATH         PosValue = MEM
 34.010  9500         -5.5V                                             S  L
 34.011  MATH         NegAcc = REFACC()
 34.012  WAIT         -t 20 Settling...
 34.013  IEEE2        MEASU:MEAS1:VAL?[I]
 34.014  MATH         NegValue = MEM
 34.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 34.016  ACC          2.400V         L1U
 34.017  MATH         MEM = PosValue - NegValue
 34.018  MEMCX        2.400V         0.048U

 35.001  RSLT         =
 35.002  HEAD         -2{1 V/div}, Position 0 Div, Offset 0 V
 35.003  TARGET       -p
 35.004  IEEE2        CH[V @Chan]:POS 0;OFFS 0;SCA 1
 35.005  TARGET       -m
 35.006  9500         3.8V                                              S  L
 35.007  MATH         PosAcc = REFACC()
 35.008  WAIT         -t 20 Settling...
 35.009  IEEE2        MEASU:MEAS1:VAL?[I]
 35.010  MATH         PosValue = MEM
 35.011  9500         -3.8V                                             S  L
 35.012  MATH         NegAcc = REFACC()
 35.013  WAIT         -t 20 Settling...
 35.014  IEEE2        MEASU:MEAS1:VAL?[I]
 35.015  MATH         NegValue = MEM
 35.016  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 35.017  ACC          7.600V         L1U
 35.018  MATH         MEM = PosValue - NegValue
 35.019  MEMCX        7.600V         0.152U

 36.001  HEAD         -2 1 V/div, Position -5 Divs, Offset 0 V
 36.002  TARGET       -p
 36.003  IEEE2        CH[V @Chan]:POS -5;OFFS 0
 36.004  TARGET       -m
 36.005  9500         5.5V                                              S  L
 36.006  MATH         PosAcc = REFACC()
 36.007  WAIT         -t 20 Settling...
 36.008  IEEE2        MEASU:MEAS1:VAL?[I]
 36.009  MATH         PosValue = MEM
 36.010  9500         1.55V                                             S  L
 36.011  MATH         NegAcc = REFACC()
 36.012  WAIT         -t 20 Settling...
 36.013  IEEE2        MEASU:MEAS1:VAL?[I]
 36.014  MATH         NegValue = MEM
 36.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 36.016  ACC          3.950V         L1U
 36.017  MATH         MEM = PosValue - NegValue
 36.018  MEMCX        3.950V         0.079U

 37.001  HEAD         -2 1 V/div, Position 5 Divs, Offset 0 V
 37.002  TARGET       -p
 37.003  IEEE2        CH[V @Chan]:POS 5;OFFS 0
 37.004  TARGET       -m
 37.005  9500         -1.55V                                            S  L
 37.006  MATH         PosAcc = REFACC()
 37.007  WAIT         -t 20 Settling...
 37.008  IEEE2        MEASU:MEAS1:VAL?[I]
 37.009  MATH         PosValue = MEM
 37.010  9500         -5.5V                                             S  L
 37.011  MATH         NegAcc = REFACC()
 37.012  WAIT         -t 20 Settling...
 37.013  IEEE2        MEASU:MEAS1:VAL?[I]
 37.014  MATH         NegValue = MEM
 37.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf9500 * 2
 37.016  ACC          3.950V         L1U
 37.017  MATH         MEM = PosValue - NegValue
 37.018  MEMCX        3.950V         0.079U

 38.001  HEAD         -2
 38.002  HEAD
 38.003  9500         *                                                 S
 38.004  END

 38.005  EVAL   Increment step number

# =============== Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500 =========

 39.001  LABEL        DC_OFFSET

 39.002  IF           @Chan == 1
 39.003  RSLT         =
 39.004  RSLT         =DC OFFSET ACCURACY
 39.005  ENDIF

 39.006  RSLT         =
 39.007  RSLT         =Channel [V @Chan]
 39.008  HEAD         DC OFFSET ACCURACY (CH [V @Chan])

 39.009  RSLT         =
 39.010  HEAD         -2{10 mV/div}, Position -5 Divs, Offset 0.45 V
 39.011  TARGET       -p
 39.012  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE
 39.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 39.014  IEEE2        ACQ:MODE AVE;NUMAV 16
 39.015  IEEE2        CH[V @Chan]:SCA 10E-3;POS -5;OFFS 0.45
 39.016  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYPE MEAN;STATE ON
 39.017  9500         500.00mV                                          S  L
 39.018  WAIT         -t 12 DUT Settling...
 39.019  TARGET       -m
 39.020  IEEE2        MEASU:MEAS1:VAL?[I]
 39.021  MATH         MEM = MEM * 1E+3
 39.022  MEMCX        500.00mV       4.25U

 40.001  HEAD         -2 10 mV/div, Position 5 Divs, Offset -0.45 V
 40.002  TARGET       -p
 40.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.45
 40.004  9500         -500.00mV                                         S  L
 40.005  WAIT         -t 12 DUT Settling...
 40.006  TARGET       -m
 40.007  IEEE2        MEASU:MEAS1:VAL?[I]
 40.008  MATH         MEM = MEM * 1E+3
 40.009  MEMCX        -500.00mV      4.25U

 41.001  RSLT         =
 41.002  HEAD         -2{20 mV/div}, Position -5 Divs, Offset 0.4 V
 41.003  TARGET       -p
 41.004  IEEE2        CH[V @Chan]:POS -5;OFFS 0.4;SCA 20E-3
 41.005  9500         500.00mV                                          S  L
 41.006  WAIT         -t 12 DUT Settling...
 41.007  TARGET       -m
 41.008  IEEE2        MEASU:MEAS1:VAL?[I]
 41.009  MATH         MEM = MEM * 1E+3
 41.010  MEMCX        500.00mV       5.25U

 42.001  HEAD         -2 20 mV/div, Position 5 Divs, Offset -0.4 V
 42.002  TARGET       -p
 42.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.4
 42.004  9500         -500.00mV                                         S  L
 42.005  WAIT         -t 12 DUT Settling...
 42.006  TARGET       -m
 42.007  IEEE2        MEASU:MEAS1:VAL?[I]
 42.008  MATH         MEM = MEM * 1E+3
 42.009  MEMCX        -500.00mV      5.25U

 43.001  RSLT         =
 43.002  HEAD         -2{50 mV/div}, Position -5 Divs, Offset 0.25 V
 43.003  TARGET       -p
 43.004  IEEE2        CH[V @Chan]:POS -5;OFFS 0.25;SCA 50E-3
 43.005  9500         500.00mV                                          S  L
 43.006  WAIT         -t 12 DUT Settling...
 43.007  TARGET       -m
 43.008  IEEE2        MEASU:MEAS1:VAL?[I]
 43.009  MATH         MEM = MEM * 1E+3
 43.010  MEMCX        500.00mV       8.25U

 44.001  HEAD         -2 50 mV/div, Position 5 Divs, Offset -0.25 V
 44.002  TARGET       -p
 44.003  IEEE2        CH[V @Chan]:POS 5;OFFS -0.25
 44.004  9500         -500.00mV                                         S  L
 44.005  WAIT         -t 12 DUT Settling...
 44.006  TARGET       -m
 44.007  IEEE2        MEASU:MEAS1:VAL?[I]
 44.008  MATH         MEM = MEM * 1E+3
 44.009  MEMCX        -500.00mV      8.25U

 45.001  RSLT         =
 45.002  HEAD         -2{100 mV/div}, Position -5 Divs, Offset 4.5 V
 45.003  TARGET       -p
 45.004  IEEE2        CH[V @Chan]:POS -5;OFFS 4.5;SCA 100E-3
 45.005  9500         5.000V                                            S  L
 45.006  WAIT         -t 12 DUT Settling...
 45.007  TARGET       -m
 45.008  IEEE2        MEASU:MEAS1:VAL?[I]
 45.009  MEMCX        5.000V         0.043U

 46.001  HEAD         -2 100 mV/div, Position 5 Divs, Offset -4.5 V
 46.002  TARGET       -p
 46.003  IEEE2        CH[V @Chan]:POS 5;OFFS -4.5
 46.004  9500         -5.000V                                           S  L
 46.005  WAIT         -t 12 DUT Settling...
 46.006  TARGET       -m
 46.007  IEEE2        MEASU:MEAS1:VAL?[I]
 46.008  MEMCX        -5.000V        0.043U

 47.001  RSLT         =
 47.002  HEAD         -2{200 mV/div}, Position -5 Divs, Offset 2 V
 47.003  TARGET       -p
 47.004  IEEE2        CH[V @Chan]:POS -5;OFFS 2;SCA 250E-3
 47.005  9500         3.000V                                            S  L
 47.006  WAIT         -t 12 DUT Settling...
 47.007  TARGET       -m
 47.008  IEEE2        MEASU:MEAS1:VAL?[I]
 47.009  MEMCX        3.000V         0.046U

 48.001  HEAD         -2 200 mV/div, Position 5 Divs, Offset -2 V
 48.002  TARGET       -p
 48.003  IEEE2        CH[V @Chan]:POS 5;OFFS -2
 48.004  9500         -3.000V                                           S  L
 48.005  WAIT         -t 12 DUT Settling...
 48.006  TARGET       -m
 48.007  IEEE2        MEASU:MEAS1:VAL?[I]
 48.008  MEMCX        -3.000V        0.046U

 49.001  RSLT         =
 49.002  HEAD         -2{500 mV/div}, Position -5 Divs, Offset 2.5 V
 49.003  TARGET       -p
 49.004  IEEE2        CH[V @Chan]:POS -5;OFFS 2.5;SCA 500E-3
 49.005  9500         5.000V                                            S  L
 49.006  WAIT         -t 12 DUT Settling...
 49.007  TARGET       -m
 49.008  IEEE2        MEASU:MEAS1:VAL?[I]
 49.009  MEMCX        5.000V         0.083U

 50.001  HEAD         -2 500 mV/div, Position 5 Divs, Offset -2.5 V
 50.002  TARGET       -p
 50.003  IEEE2        CH[V @Chan]:POS 5;OFFS -2.5
 50.004  9500         -5.000V                                           S  L
 50.005  WAIT         -t 12 DUT Settling...
 50.006  TARGET       -m
 50.007  IEEE2        MEASU:MEAS1:VAL?[I]
 50.008  MEMCX        -5.000V        0.083U

 51.001  RSLT         =
 51.002  HEAD         -2{1 V/div}, Position -5 Divs, Offset 0 V
 51.003  TARGET       -p
 51.004  IEEE2        CH[V @Chan]:POS -5;OFFS 0;SCA 1
 51.005  9500         2.500V                                            S  L
 51.006  WAIT         -t 12 DUT Settling...
 51.007  TARGET       -m
 51.008  IEEE2        MEASU:MEAS1:VAL?[I]
 51.009  MEMCX        2.500V         0.133U

 52.001  HEAD         -2 1 V/div, Position 5 Divs, Offset 0 V
 52.002  TARGET       -p
 52.003  IEEE2        CH[V @Chan]:POS 5;OFFS 0
 52.004  9500         -2.500V                                           S  L
 52.005  WAIT         -t 12 DUT Settling...
 52.006  TARGET       -m
 52.007  IEEE2        MEASU:MEAS1:VAL?[I]
 52.008  MEMCX        -2.500V        0.133U

 53.001  HEAD         -2
 53.002  HEAD
 53.003  9500         *                                                 S
 53.004  END
