﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO70404B (1 yr) Trig VER IEEE /9500/3200/2Hd
DATE:                  2010-11-29 11:22:39
AUTHOR:                Fluke
REVISION:              $Revision: 24330 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       355
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 1
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        DPO/DSA 70404B, MSO 70404
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Tek DPO70000 Channel Selection IEEE
#        Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        One 2X attenuator
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST
  1.002  CALL         Sub Tek DPO70000 Channel Selection IEEE

  1.003  IF           @Chan == 1
  1.004  RSLT         =
  1.005  HEAD         {TRIGGER SENSITIVITY}
  1.006  ENDIF

  1.007  RSLT         =
  1.008  RSLT         =Channel [V @Chan]
  1.009  RSLT         =
  1.010  HEAD         -2{50 MHz, A Trigger}, Rising Slope
  1.011  TARGET
  1.012  IEEE2        TRIG:A:MOD NORM
  1.013  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan];COUP DC
  1.014  IEEE2        HOR:SCA 20E-9
  1.015  IEEE2        ACQ:MOD AVE;NUMAV 16
  1.016  IEEE2        ACQ:SAMP ET
  1.017  IEEE2        MEASU:MEAS1:METH MINM
  1.018  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP AMP;STATE ON

# Set the generator amplitude on DUT screen: 4 divs.
  1.019  MATH         MEM = 400; MEM1 = MEM

  1.020  DO
  1.021  MATH         MEM = MEM1 + (400 - MEM) / 2

  1.022  IF           MEM > 1000 || MEM < 200
  1.023  MATH         MEM = 400
  1.024  ENDIF

  1.025  M9500                       CH1
  1.026  9500         mVpp                         50MH           LS    S  L
  1.027  IEEE2        TRIG:A SETL
  1.028  WAIT         -t 3 Settling...
  1.029  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

# Change to mV unit.
  1.030  MATH         MEM = MEM * 1E+3
  1.031  UNTIL        (MEM >= 398) && (MEM <= 402)

# Restore the calibrator output value.
  1.032  MATH         L[1] = MEM1
  1.033  9500         *                                                 S

  1.034  MATH         MEM = L[1] / 10
  1.035  M9500                       CH1
  1.036  9500         mVpp                         50MH           LS    S  L
# Set the positive trigger slope.
  1.037  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
  1.038  MATH         @Vsour = L[1] / 10
  1.039  MATH         @AuxTrig = 0; @TrigAType = 1
  1.040  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  1.041  EVAL   -e @Triggered : Rising Slope, Stable Trigger
  2.001  9500         *                                                 S

  2.002  HEAD         -2 50 MHz, A Trigger, Falling Slope
  2.003  TARGET
  2.004  MATH         MEM = L[1] / 10
  2.005  M9500                       CH1
  2.006  9500         mVpp                         50MH           LS    S  L
  2.007  IEEE2        TRIG:A SETL
# Set the positive trigger slope.
  2.008  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
  2.009  MATH         @Vsour = L[1] / 10
  2.010  MATH         @AuxTrig = 0; @TrigAType = 1
  2.011  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  2.012  EVAL   -e @Triggered : Falling Slope, Stable Trigger
  3.001  9500         *                                                 S

  3.002  RSLT         =
  3.003  HEAD         -2{50 MHz, B Trigger}, Rising Slope
  3.004  TARGET
  3.005  MATH         MEM = L[1] / 10
  3.006  M9500                       CH1
  3.007  9500         mVpp                         50MH           LS    S  L
  3.008  IEEE2        TRIG:A SETL
  3.009  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
  3.010  IEEE2        TRIG:A:EDGE:SOU LINE
  3.011  IEEE2        TRIG:B:STATE ON
  3.012  IEEE2        TRIG:B:TYP EDGE
  3.013  IEEE2        TRIG:B:BY TIM
  3.014  IEEE2        TRIG:B:EDGE:SOU CH[V @Chan]
  3.015  IEEE2        TRIG:B SETL
  3.016  MATH         @Vsour = L[1] / 10
  3.017  MATH         @AuxTrig = 0; @TrigAType = 0
  3.018  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  3.019  EVAL   -e @Triggered : Rising Slope, Stable Trigger
  4.001  9500         *                                                 S

  4.002  HEAD         -2 50 MHz, B Trigger, Falling Slope
  4.003  TARGET
  4.004  MATH         MEM = L[1] / 10
  4.005  M9500                       CH1
  4.006  9500         mVpp                         50MH           LS    S  L
  4.007  IEEE2        TRIG:A SETL
# Set the positive trigger slope.
  4.008  IEEE2        TRIG:B:EDGE:SLO:CH[V @Chan] FALL
  4.009  MATH         @Vsour = L[1] / 10
  4.010  MATH         @AuxTrig = 0; @TrigAType = 0
  4.011  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  4.012  EVAL   -e @Triggered : Falling Slope, Stable Trigger
  5.001  9500         *                                                 S

  5.002  RSLT         =
  5.003  HEAD         -2{50 MHz, AUX TRIGGER}, Rising Slope
  5.004  TARGET
  5.005  IEEE2        TRIG:B:STATE OFF
  5.006  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  5.007  IEEE2        TRIG:A:EDGE:SLO RIS
# Adjust the 9500 output until DUT readout indicates approximately 250 mV.
  5.008  MATH         MEM = 250; MEM1 = MEM

  5.009  DO
  5.010  MATH         MEM = MEM1 + (250 - MEM) / 2

  5.011  IF           MEM > 1000 || MEM < 100
  5.012  MATH         MEM = 250
  5.013  ENDIF

  5.014  M9500                       CH14
  5.015  9500         mVpp                         50MH           LS    S  L
  5.016  IEEE2        TRIG:A SETL
  5.017  WAIT         -t 3 Settling...
  5.018  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
# Change to mV unit.
  5.019  MATH         MEM = MEM * 1E+3
  5.020  UNTIL        (MEM >= 249) && (MEM <= 251)

# Restore the calibrator output value.
  5.021  MATH         L[1] = MEM1
  5.022  IEEE2        TRIG:A:EDGE:SOU AUX
  5.023  IEEE2        TRIG:A:EDGE:SLO:AUX RIS
  5.024  MATH         @Vsour = L[1]
  5.025  MATH         @AuxTrig = 1
  5.026  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  5.027  EVAL   -e @Triggered : Rising Slope, Stable Trigger
  6.001  9500         *                                                 S

  6.002  HEAD         -2 50 MHz, AUX TRIGGER, Falling Slope
  6.003  TARGET
  6.004  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  6.005  IEEE2        TRIG:A:EDGE:SLO FALL
  6.006  MATH         MEM = L[1]
  6.007  M9500                       CH14
  6.008  9500         mVpp                         50MH           LS    S  L
  6.009  IEEE2        TRIG:A SETL
  6.010  WAIT         -t 3 Settling...
  6.011  IEEE2        TRIG:A:EDGE:SOU AUX
  6.012  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
  6.013  MATH         @AuxTrig = 1
  6.014  MATH         @Vsour = L[1]
  6.015  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  6.016  EVAL   -e @Triggered : Falling Slope, Stable Trigger
  7.001  9500         *                                                 S

  7.002  RSLT         =
  7.003  HEAD         -2{6 GHz, A Trigger}, Rising Slope
  7.004  TARGET
  7.005  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  7.006  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
  7.007  IEEE2        HOR:SCA 200E-12
  7.008  MATH         MEM = 200; MEM1 = MEM

  7.009  DO
  7.010  MATH         MEM = MEM1 + (200 - MEM) / 2

  7.011  IF           MEM > 800 || MEM < 100
  7.012  MATH         MEM = 200
  7.013  ENDIF

  7.014  M9500                       CH1
  7.015  9500         mVpp                         4GH            LS    S  L
  7.016  IEEE2        TRIG:A SETL
  7.017  WAIT         -t 3 Settling...
  7.018  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

# Change to mV unit.
  7.019  MATH         MEM = MEM * 1E+3
  7.020  UNTIL        (MEM >= 198) && (MEM <= 202)

# Restore the calibrator output value.
  7.021  MATH         L[1] = MEM1
  7.022  9500         *                                                 S

  7.023  MATH         MEM = L[1] / 2
  7.024  M9500                       CH1
  7.025  9500         mVpp                         4GH            LS    S  L
  7.026  IEEE2        TRIG:A SETL
  7.027  MATH         @Vsour = L[1] / 2; @AuxTrig = 0; @TrigAType = 1
  7.028  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  7.029  EVAL   -e @Triggered : Rising Slope, Stable Trigger
  8.001  9500         *                                                 S

  8.002  HEAD         -2 6 GHz, Falling Slope
  8.003  TARGET
  8.004  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
  8.005  MATH         MEM = L[1] / 2
  8.006  M9500                       CH1
  8.007  9500         mVpp                         4GH            LS    S  L
  8.008  IEEE2        TRIG:A SETL
  8.009  WAIT         -t 3 Settling...
  8.010  MATH         @Vsour = L[1] / 2; @AuxTrig = 0; @TrigAType = 1
  8.011  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  8.012  EVAL   -e @Triggered : Falling Slope, Stable Trigger
  9.001  9500         *                                                 S

  9.002  RSLT         =
  9.003  HEAD         -2{6 GHz, B Trigger}, Rising Slope
  9.004  TARGET
  9.005  MATH         MEM = L[1] / 2
  9.006  M9500                       CH1
  9.007  9500         mVpp                         4GH            LS    S  L
  9.008  IEEE2        TRIG:A SETL
  9.009  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
  9.010  IEEE2        TRIG:A:EDGE:SOU LINE
  9.011  IEEE2        TRIG:B:STATE ON
  9.012  IEEE2        TRIG:B:TYP EDGE
  9.013  IEEE2        TRIG:B:BY TIM
  9.014  IEEE2        TRIG:B SETL
  9.015  MATH         @Vsour = L[1] / 2
  9.016  MATH         @AuxTrig = 0; @TrigAType = 0
  9.017  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
  9.018  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 10.001  9500         *                                                 S

 10.002  HEAD         -2 6 GHz, B Trigger, Falling Slope
 10.003  TARGET
 10.004  MATH         MEM = L[1] / 2
 10.005  M9500                       CH1
 10.006  9500         mVpp                         4GH            LS    S  L
 10.007  IEEE2        TRIG:A SETL
# Set the positive trigger slope.
 10.008  IEEE2        TRIG:B:EDGE:SLO:CH[V @Chan] FALL
 10.009  MATH         @Vsour = L[1] / 2
 10.010  MATH         @AuxTrig = 0; @TrigAType = 0
 10.011  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 10.012  EVAL   -e @Triggered : Falling Slope, Stable Trigger
 11.001  9500         *                                                 S

 11.002  RSLT         =
 11.003  HEAD         -2{AUX TRIGGER, 1 GHz}, Rising Slope
 11.004  TARGET
 11.005  IEEE2        TRIG:B:STATE OFF
 11.006  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 11.007  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] RIS
 11.008  IEEE2        HOR:SCA 1E-9
 11.009  MATH         MEM = 700; MEM1 = MEM

 11.010  DO
 11.011  MATH         MEM = MEM1 + (700 - MEM) / 2

 11.012  IF           MEM > 2500 || MEM < 450
 11.013  MATH         MEM = 700
 11.014  ENDIF

 11.015  M9500                       CH14
 11.016  9500         mVpp                         250MH          LS    S  L
 11.017  IEEE2        TRIG:A SETL
 11.018  WAIT         -t 3 Settling...
 11.019  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
# Change to mV unit.
 11.020  MATH         MEM = MEM * 1E+3
 11.021  UNTIL        (MEM >= 698) && (MEM <= 702)

# Restore the calibrator output value.
 11.022  MATH         L[1] = MEM1
 11.023  9500         *                                                 S

 11.024  DISP         Disconnect the cable at DUT Aux In and reconnect it
 11.024  DISP         to Aux In through an 2X attenuator.
 11.025  MATH         MEM = L[1]
 11.026  M9500                       CH14
 11.027  9500         mVpp                         1GH            LS    S  L
 11.028  IEEE2        TRIG:A:EDGE:SOU AUX
 11.029  IEEE2        TRIG:A:EDGE:SLO:AUX RIS
 11.030  MATH         @Vsour = L[1]
 11.031  MATH         @AuxTrig = 1
 11.032  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 11.033  EVAL   -e @Triggered : Rising Slope, Stable Trigger
 12.001  9500         *                                                 S

 12.002  HEAD         -2 AUX TRIGGER, 1 GHz, Falling Slope
 12.003  TARGET
 12.004  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 12.005  IEEE2        TRIG:A:EDGE:SLO FALL
 12.006  MATH         MEM = L[1]
 12.007  M9500                       CH14
 12.008  9500         mVpp                         1GH            LS    S  L
 12.009  IEEE2        TRIG:A SETL
 12.010  WAIT         -t 3 Settling...
 12.011  IEEE2        TRIG:A:EDGE:SOU AUX
 12.012  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
 12.013  MATH         @Vsour = L[1]
 12.014  MATH         @AuxTrig = 1
 12.015  CALL         Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
 12.016  EVAL   -e @Triggered : Falling Slope, Stable Trigger

 13.001  HEAD         -2
 13.002  HEAD
 13.003  M9500        *
 13.004  9500         *                                                 S
 13.005  END
